<?php

/**
 * impress_shortcode
 */


/** Lets do some shortcode functions */





/**
 * PRO ONLY
 * Add header code for animate
 * function impress_program_animation(){}
 */




function impress_shortcode( $atts ){

    echo '<div class="fallback-message">'."\n";
    echo '<p>Your browser <b>doesn\'t support the features required</b> by impress.js, so you are presented with a simplified version of this presentation.</p>'."\n";
    echo '<p>For the best experience please use the latest <b>Chrome</b>, <b>Safari</b> or <b>Firefox</b> browser.</p>'."\n";
    echo '</div>'."\n";

    echo '<div id="wrap">'."\n";
    require_once IMPRESS_INC_DIR . "impress-slider.php";
    echo '</div>'."\n";

    echo '<div class="hint">'."\n";
    echo '<p>Use a spacebar or arrow keys to navigate</p>'."\n";
    echo '</div>'."\n";
}

function map_shortcode( $atts ) {
    extract( shortcode_atts( array(
        'width' => '640',
        'height' => '384',
        'zoom' => '12',
        'type' => '',
        'lat' => '', 
        'long' => '', 
    ), $atts ) );
    return '<iframe width="'.esc_attr($width).'" height="'.esc_attr($height).'" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/?ie=UTF8&amp;t=m&amp;ll='.esc_attr($lat).','.esc_attr($long).'&amp;spn=0.095002,0.145912&amp;z='.esc_attr($zoom).'&amp;output=embed"></iframe>';
}

function image_shortcode( $atts ) {
    extract( shortcode_atts( array(
        'src' => '',
        'width' => '400',
        'height' => '300',
        'caption' => '',
        'align' => '',
        'alt' => 'Image'
    ), $atts ) );

    $img = '<img src="'.esc_attr($src).'" class="align'.esc_attr($align).'" style="width:'.esc_attr($width).'px; height:'.esc_attr($height).'px;" alt="'.esc_attr($alt).'" />';
    if (esc_attr($caption)) {
        return '<div class="wp-caption align'.esc_attr($align).'">'.$img.'<p class="wp-caption-text">'.esc_attr($caption).'</p></div>';
    } else {
        return $img;
    }
}

function youtube_shortcode( $atts ) {
    extract( shortcode_atts( array(
        'width' => '640',
        'height' => '384',
        'code' => '',
    ), $atts ) );
    return '<iframe title="YouTube video player" width="'.esc_attr($width).'" height="'.esc_attr($height).'" src="http://www.youtube.com/embed/'.esc_attr($code).'?theme=dark&amp;rel=0&amp;wmode=transparent" frameborder="0" allowfullscreen=""></iframe>';
}

function vimeo_shortcode( $atts ) {
    extract( shortcode_atts( array(
        'width' => '640',
        'height' => '384',
        'code' => '',
    ), $atts ) );
    return '<iframe src="http://player.vimeo.com/video/'.esc_attr($code).'?title=0&amp;byline=0&amp;portrait=0" width="'.esc_attr($width).'" height="'.esc_attr($height).'" frameborder="0"></iframe>';
}

function video_shortcode( $atts ) {
    extract( shortcode_atts( array(
        'width' => '640',
        'height' => '384',
        'mp4_src' => '',
        'ogg_src' => '',
    ), $atts ) );
    $op = '<video width="'.esc_attr($width).'" height="'.esc_attr($height).'" poster="" controls>'."\n";
    $op .= '<source src="'.esc_attr($mp4_src).'" type="video/mp4" />'."\n";
    $op .= '<source src="'.esc_attr($ogg_src).'" type="video/ogg" />'."\n";
    $op .= '<object width="'.esc_attr($width).'" height="'.esc_attr($width).'" type="application/x-shockwave-flash" data="/player.swf?image=placeholder.jpg&file='.esc_attr($mp4_src).'">'."\n";
    $op .= '<param name="movie" value="path/to/swf/player.swf?image=placeholder.jpg&file='.esc_attr($mp4_src).'" />'."\n";
    $op .= '</object>'."\n";
    $op .= '</video>'."\n";

    return $op;
}


function column_shortcode( $atts ) {
    extract( shortcode_atts( array(
        'size' => '',
    ), $atts ) );

    $img = '<img src="'.esc_attr($src).'" class="align'.esc_attr($align).'" />';
    if (esc_attr($caption)) {
        return '<div class="wp-caption align'.esc_attr($align).'">'.$img.'<p class="wp-caption-text">'.esc_attr($caption).'</p></div>';
    } else {
        return $img;
    }
}

function row_start_shortcode( $atts ) {
    extract( shortcode_atts( array( 'type' => ''), $atts ) );
    $class =  esc_attr($offset) ? esc_attr($offset) : 'row-fluid';
    //$class="row-fluid";
    return '<div class="'.$class.'">'; 
}
function row_end_shortcode( $atts ) { return '</div><!-- end row -->'."\n"; }
function column_half_shortcode( $atts, $content = null ) {
    $op = '';
    extract( shortcode_atts( array(
        'offset' => '',
    ), $atts ) );
    $xs =  'offset'.esc_attr($offset);
    $op = '<div class="span6 '.$xs.'">'."\n";
    $op .= $content."\n";
    $op .= '</div>'."\n";
    return $op;
}
function column_third_shortcode( $atts, $content = null ) {
    $op = '';
    extract( shortcode_atts( array(
        'offset' => '',
    ), $atts ) );
    $xs =  'offset'.esc_attr($offset);
    $op = '<div class="span4 '.$xs.'">'."\n";
    $op .= $content."\n";
    $op .= '</div>'."\n";
    return $op;
}
function column_quarter_shortcode( $atts, $content = null ) {
    $op = '';
    extract( shortcode_atts( array(
        'offset' => '',
    ), $atts ) );
    $xs =  'offset'.esc_attr($offset);
    $op = '<div class="span3 '.$xs.'">'."\n";
    $op .= $content."\n";
    $op .= '</div>'."\n";
    return $op;
}
function column_sixth_shortcode( $atts, $content = null ) {
    $op = '';
    extract( shortcode_atts( array(
        'offset' => '',
    ), $atts ) );
    $xs =  'offset'.esc_attr($offset);
    $op = '<div class="span2 '.$xs.'">'."\n";
    $op .= $content."\n";
    $op .= '</div>'."\n";
    return $op;
}
function column_twelfth_shortcode( $atts, $content = null ) {
    $op = '';
    extract( shortcode_atts( array(
        'offset' => '',
    ), $atts ) );
    $xs =  'offset'.esc_attr($offset);
    $op = '<div class="span1 '.$xs.'">'."\n";
    $op .= $content."\n";
    $op .= '</div>'."\n";
    return $op;
}


/**
 * PRO ONLY
 * Animate Shortcode 
 * function animate_shortcode() {
 */

/** Media shortcodes */
add_shortcode( 'map', 'map_shortcode' );
add_shortcode( 'image', 'image_shortcode' );
add_shortcode( 'youtube', 'youtube_shortcode' );
add_shortcode( 'vimeo', 'vimeo_shortcode' );
add_shortcode( 'video', 'video_shortcode' );

/** Bootsrtap Scaffolding */
add_shortcode( 'row_start', 'row_start_shortcode' );
add_shortcode( 'column_half', 'column_half_shortcode' );
add_shortcode( 'column_third', 'column_third_shortcode' );
add_shortcode( 'column_quarter', 'column_quarter_shortcode' );
add_shortcode( 'column_sixth', 'column_sixth_shortcode' );
add_shortcode( 'column_twelfth', 'column_twelfth_shortcode' );
add_shortcode( 'row_end', 'row_end_shortcode' );



?>